{
  "projectExportManifest": {
    "exportUploads": false,
    "exportAllInputDatasets": false,
    "exportAllDatasets": true,
    "exportManagedFS": false,
    "exportAnalysisModels": false,
    "exportSavedModels": false,
    "exportModelEvaluationStores": false,
    "exportProjectResources": false,
    "exportLabelingTasks": false,
    "exportManagedFolders": false,
    "exportAllInputManagedFolders": false,
    "exportKnowledgeBank": false,
    "exportInsightsData": false,
    "includedDatasetsData": [],
    "includedSavedModels": [
      {
        "id": "PVmByyrP",
        "name": "Prediction (RANDOM_FOREST_CLASSIFICATION) on transactions_known"
      }
    ],
    "includedManagedFolders": [],
    "includedModelEvaluationStores": [],
    "includedCodeStudios": [],
    "includedKnowledgeBanks": [],
    "includedLabelingTasks": [],
    "exportGitRepository": false
  },
  "instanceFeatures": {
    "showFlowNavLink": false,
    "showLabNavLink": false,
    "showCodeNavLink": false,
    "showSwitchToProjectViewButton": true,
    "showVersionControlFeatures": false
  },
  "useAppHomepage": true,
  "homepageSections": [
    {
      "sectionTitle": "Upload New Data and Filter by Year",
      "sectionText": "Download the *transactions_2019_2020* dataset [**here**](https://downloads.dataiku.com/public/website-additional-assets/data/transactions_2019_2020.csv).",
      "tiles": [
        {
          "datasetName": "transactions",
          "behavior": "INLINE_UPLOAD_REDETECT_AND_INFER",
          "type": "UPLOAD_DATASET_SET_FILE",
          "prompt": "1. Upload transactions dataset"
        },
        {
          "behavior": "INLINE_AUTO_SAVE",
          "params": [
            {
              "name": "year",
              "type": "STRING",
              "label": "Enter year here:",
              "mandatory": false,
              "canSelectForeign": false,
              "markCreatedAsBuilt": false,
              "allowDuplicates": true,
              "getChoicesFromPython": false,
              "triggerParameters": [],
              "disableAutoReload": false,
              "canCreateDataset": false,
              "wt1Loggable": false
            }
          ],
          "type": "PROJECT_VARIABLES_EDIT",
          "prompt": "2. Filter by year"
        }
      ]
    },
    {
      "sectionTitle": "View Purchase Patterns",
      "tiles": [
        {
          "scenarioId": "BUILDDASHBOARD",
          "type": "SCENARIO_RUN",
          "prompt": "3. Rebuild \"Purchase Patterns\" dashboard with new data"
        },
        {
          "dashboardId": "oLeWRKL",
          "type": "DASHBOARD_LINK",
          "prompt": "4. View results in dashboard"
        }
      ]
    },
    {
      "sectionTitle": "Generate Predictions",
      "tiles": [
        {
          "scenarioId": "BUILDFLOWOUTPUTS",
          "type": "SCENARIO_RUN",
          "prompt": "5. Run ML model on new data"
        },
        {
          "dashboardId": "ZTixLn7",
          "type": "DASHBOARD_LINK",
          "prompt": "6. View model report \u0026 predictions"
        },
        {
          "datasetName": "transactions_unknown_scored",
          "exportParams": {
            "destinationType": "DOWNLOAD",
            "temporaryFileBehavior": "AUTO",
            "originatingOptionId": "tsv-excel-header",
            "format": {
              "type": "csv",
              "params": {
                "style": "excel",
                "charset": "utf8",
                "separator": ",",
                "quoteChar": "\"",
                "escapeChar": "\\",
                "dateSerializationFormat": "ISO",
                "arrayMapFormat": "json",
                "hiveSeparators": [
                  "\u0002",
                  "\u0003",
                  "\u0004",
                  "\u0005",
                  "\u0006",
                  "\u0007",
                  "\b"
                ],
                "skipRowsBeforeHeader": 0,
                "parseHeaderRow": true,
                "skipRowsAfterHeader": 0,
                "probableNumberOfRecords": 0,
                "normalizeBooleans": false,
                "normalizeDoubles": true,
                "readAdditionalColumnsBehavior": "INSERT_IN_DATA_WARNING",
                "readMissingColumnsBehavior": "DISCARD_SILENT",
                "readDataTypeMismatchBehavior": "DISCARD_WARNING",
                "writeDataTypeMismatchBehavior": "DISCARD_WARNING",
                "fileReadFailureBehavior": "FAIL",
                "compress": ""
              }
            },
            "destinationDatasetProjectKey": "QS_AI_CONSUMER",
            "overwriteDestinationDataset": false,
            "applyExplorationFilters": false,
            "applyColoring": false,
            "selection": {
              "useMemTable": false,
              "filter": {
                "distinct": false,
                "enabled": false
              },
              "partitionSelectionMethod": "ALL",
              "selectedPartitions": [],
              "latestPartitionsN": 1,
              "ordering": {
                "enabled": false,
                "rules": []
              },
              "samplingMethod": "FULL",
              "maxRecords": 100000,
              "targetRatio": 0.02,
              "ascending": true,
              "withinFirstN": -1,
              "maxReadUncompressedBytes": -1
            }
          },
          "type": "DOWNLOAD_DATASET",
          "prompt": "7. Download predictions"
        }
      ]
    }
  ],
  "label": "AI Consumer App (Tutorial)",
  "shortDesc": "Use this application to:\n- upload **new transactions data** (download the *transactions_2019_2020* dataset [**here**](https://downloads.dataiku.com/public/website-additional-assets/data/transactions_2019_2020.csv));\n- filter the results in the **Purchase Patterns** dashboard on new data and by ``year``;\n- generate **credit card fraud predictions** on new data, filtered by year.",
  "tags": [],
  "imgPattern": 8,
  "showInitials": false,
  "instantiationPermission": "EVERYBODY",
  "limitedVisibilityEnabled": "INHERIT",
  "accessRequestsEnabled": "INHERIT",
  "allowedMissingConnections": [],
  "allowedMissingCodeEnvs": []
}